io.vertx.ext.web.templ.jade

## Interface JadeTemplateEngine

- All Superinterfaces:
    TemplateEngine

      public interface JadeTemplateEngine
      extends TemplateEngine

  A template engine that uses Jade. The `TemplateEngine.unwrap()` shall return an object of class `JadeConfiguration`
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JadeTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `static JadeTemplateEngine` | `create(Vertx vertx, String extension)` Create a template engine using defaults
    `de.neuland.jade4j.JadeConfiguration` | `getJadeConfiguration()` Deprecated. see `TemplateEngine.unwrap()` Get a reference to the internal JadeConfiguration object so it can be configured.

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render, render, render, unwrap`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static JadeTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static JadeTemplateEngine create(Vertx vertx,
                                           String extension)

      Create a template engine using defaults
      Returns:
        the engine

    - #### getJadeConfiguration

          @Deprecated
          de.neuland.jade4j.JadeConfiguration getJadeConfiguration()

      Deprecated. see `TemplateEngine.unwrap()` Get a reference to the internal JadeConfiguration object so it can be configured.
      Returns:
        a reference to the internal JadeConfiguration instance.

Copyright © 2021 Eclipse. All rights reserved.